Package de.willuhn.jameica.hbci.gui.dialogs

# Class TransferMergeDialog

java.lang.Object
de.willuhn.jameica.gui.dialogs.AbstractDialog
de.willuhn.jameica.hbci.gui.dialogs.TransferMergeDialog

public class TransferMergeDialog extends de.willuhn.jameica.gui.dialogs.AbstractDialog
Oeffnet einen Dialog, mit dem mehrere Einzelauftraege zu einem Sammelauftrag zusammengefasst werden koennen. Der Dialog fragt hierzu noch das Konto ab, ueber den der Sammeltransfer abgewickelt werden soll sowie eine Bezeichnung. Beide Felder sind mit sinnvollen Default-Werten belegt. Alternativ kann auch ein existierender Sammel-Auftrag ausgewaehlt werden, dem die Auftraege zugeordnet werden sollen. Rueckgabewert des Dialogs ist der Sammel-Auftrag. Entweder der uebergebene (erweitert um Konto und Bezeichnung) oder der existierende und vom User ausgewaehlte.

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.dialogs.AbstractDialog

`MONITOR_CURRENT, MONITOR_PRIMARY, POSITION_CENTER, POSITION_MOUSE`

## Constructor Summary

Constructors
Constructor
Description
`TransferMergeDialog(SammelTransfer t, int position)`
ct.

## Method Summary

Modifier and Type
Method
Description
`protected Object`
`getData()`
`boolean`
`getDelete()`
Liefert true, wenn der urspruengliche Auftrag nach der Uebernahme geloescht werden soll.
`protected void`
`paint(org.eclipse.swt.widgets.Composite parent)`

### Methods inherited from class de.willuhn.jameica.gui.dialogs.AbstractDialog

`addCloseListener, addShellListener, close, createShell, getDisplay, getShell, isModeless, onEscape, open, setMonitor, setPanelText, setSideImage, setSize, setTitle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TransferMergeDialog

public TransferMergeDialog(SammelTransfer t, int position)
ct.

Parameters:
  `t` - der zugehoerige Sammel-Auftrag.
  `position` -

## Method Details

### getData

protected Object getData() throws Exception

Specified by:
  `getData` in class `de.willuhn.jameica.gui.dialogs.AbstractDialog`
Throws:
  `Exception`
See Also:
  - `AbstractDialog.getData()`

### paint

protected void paint(org.eclipse.swt.widgets.Composite parent) throws Exception

Specified by:
  `paint` in class `de.willuhn.jameica.gui.dialogs.AbstractDialog`
Throws:
  `Exception`
See Also:
  - `AbstractDialog.paint(org.eclipse.swt.widgets.Composite)`

### getDelete

public boolean getDelete()
Liefert true, wenn der urspruengliche Auftrag nach der Uebernahme geloescht werden soll.

Returns:
  true, wenn der urspruengliche Auftrag nach der Uebernahme geloescht werden soll.